package com.malk.kaiyue_cd.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.malk.kaiyue_cd.entity.AdvancedLeave;
import com.malk.server.common.McR;
import org.springframework.scheduling.annotation.Async;

import java.util.List;
import java.util.Map;


public interface KYCDService extends IService<AdvancedLeave> {
    List<String> getEmployeeUserId();

    List<Map> getEmployeeRosterInfo(Map<String, Object> map);

    @Async
    McR getEmployeeAnnualLeaveNum(Map<String, Object> map);

    /**
     * 每年1月1日 00:00定时更新员工旧职级
     * @return
     */
//    McR updateEmployeeOldPositionLevel();

    /**
     * 每年1月1日 01:00定时更新员工年假数
     * @return
     */
    McR updateEmployeeAnnualLeaveNum();

    /**
     * 获取用户真实假期余额
     * @param userId
     * @return
     */
    Map getUserLeaveInfo(String userId);

}
