package com.milk.zxtd;

import cn.hutool.core.util.NumberUtil;
import com.alibaba.fastjson.JSONObject;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.dingtalk.DDR_New;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilEnv;
import com.malk.utils.UtilMap;
import com.malk.zhixingtongde.Boot;
import com.malk.zhixingtongde.entity.Profit;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.MapUtils;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@SpringBootTest(classes = Boot.class)
public class test {

    @Autowired
    private YDClient ydClient;

    String _matchFormUuid(String code) {
        Map<String, String> formUuid = UtilMap.empty();
        if (UtilEnv.getActiveProfile().equals(UtilEnv.ENV_PROD)) {
            formUuid.put("PROFIT", "FORM-32937639BC314882AF45201131EAE4C0YD2L"); // 利润表
            formUuid.put("DOMAIN", "https://nxcyz4.aliwork.com/"); // 宜搭域名
        } else {
            formUuid.put("DOMAIN", "https://nxcyz4.aliwork.com/");
        }
        return formUuid.get(code);
    }

    @Test
    public void test(){
        List<Map> list = (List<Map>) ydClient.queryData(YDParam.builder().formUuid(_matchFormUuid("PROFIT")).searchCondition(
                JSONObject.toJSONString(UtilMap.map("textField_lqvp89br","2024")) // 这里需要修改为模糊查询
        ).build(), YDConf.FORM_QUERY.retrieve_list).getData();
        for (Map map:list){
            JSONObject formData=JSONObject.parseObject(String.valueOf(map.get("formData")));
            System.out.println(JSONObject.toJSONString(formData));
        }
    }

}
